DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# And

logic operation

## SYNOPSIS

dip_Error dip_And ( in1, in2, out )

## DATA TYPES

binary

## FUNCTION

The function `And` performs the logic AND operation between the corresponding pixels in `in1` and `in2`, and stores the result in `out`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in1` | First binary input image
`dip_Image` | `in2` | Second binary input image
`dip_Image` | `out` | Output image

## SEE ALSO

`Arith`, `Xor`, `Or`, `Invert`